classification
Title: PEP 3121 refactoring applied to locale module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, asvetlov, loewis, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-15 09:05 by Robin.Schreiber, last changed 2020-09-07 14:01 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
_locale_pep3121_v0.patch Robin.Schreiber, 2012-08-15 09:05
Messages (2)
msg168268 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 09:05
Changes proposed in PEP3121 have now been applied to the locale module!
msg376492 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-07 14:01
Fixed by:

commit a158168a787e82c4b7b18f6833153188e93627a5
Author: Hai Shi <shihai1992@gmail.com>
Date:   Thu Mar 12 00:46:06 2020 +0800

    bpo-1635741: Port _locale extension module to multiphase initialization (PEP 489) (GH-18358)
    
    Co-authored-by: Petr Viktorin <pviktori@redhat.com>
History
Date User Action Args
2020-09-07 14:01:50vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg376492
resolution: duplicate
stage: resolved
2012-11-08 13:37:59Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-17 16:40:07asvetlovsetnosy: + asvetlov
2012-08-15 09:05:32Robin.Schreibercreate